org.apache.ignite.internal.processors.cache.distributed.dht.preloader

## Class GridDhtPreloaderAssignments

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.concurrent.ConcurrentHashMap<ClusterNode,GridDhtPartitionDemandMessage>
    - - org.apache.ignite.internal.processors.cache.distributed.dht.preloader.GridDhtPreloaderAssignments

All Implemented Interfaces:
  Serializable, ConcurrentMap<ClusterNode,GridDhtPartitionDemandMessage>, Map<ClusterNode,GridDhtPartitionDemandMessage>

    public class GridDhtPreloaderAssignments
    extends ConcurrentHashMap<ClusterNode,GridDhtPartitionDemandMessage>

Partition to node assignments.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.concurrent.ConcurrentHashMap

`ConcurrentHashMap.KeySetView<K,V>`

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`GridDhtPreloaderAssignments(GridDhtPartitionExchangeId exchangeId, AffinityTopologyVersion topVer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `cancelled()`
`void` `cancelled(boolean cancelled)`
`AffinityTopologyVersion` `topologyVersion()`
`String` `toString()`

### Methods inherited from class java.util.concurrent.ConcurrentHashMap

`clear, compute, computeIfAbsent, computeIfPresent, contains, containsKey, containsValue, elements, entrySet, equals, forEach, forEach, forEach, forEachEntry, forEachEntry, forEachKey, forEachKey, forEachValue, forEachValue, get, getOrDefault, hashCode, isEmpty, keys, keySet, keySet, mappingCount, merge, newKeySet, newKeySet, put, putAll, putIfAbsent, reduce, reduceEntries, reduceEntries, reduceEntriesToDouble, reduceEntriesToInt, reduceEntriesToLong, reduceKeys, reduceKeys, reduceKeysToDouble, reduceKeysToInt, reduceKeysToLong, reduceToDouble, reduceToInt, reduceToLong, reduceValues, reduceValues, reduceValuesToDouble, reduceValuesToInt, reduceValuesToLong, remove, remove, replace, replace, replaceAll, search, searchEntries, searchKeys, searchValues, size, values`

### Methods inherited from class java.util.AbstractMap

`clone`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridDhtPreloaderAssignments

    public GridDhtPreloaderAssignments(GridDhtPartitionExchangeId exchangeId,
                                       AffinityTopologyVersion topVer)

Parameters:
  `exchangeId` - Exchange ID.
  `topVer` - Last join order.

### Method Detail

#### cancelled

    public boolean cancelled()

Returns:
  `True` if assignments creation was cancelled.

#### cancelled

    public void cancelled(boolean cancelled)

Parameters:
  `cancelled` - `True` if assignments creation was cancelled.

#### topologyVersion

    public AffinityTopologyVersion topologyVersion()

Returns:
  Topology version based on last `GridDhtPartitionTopologyImpl.readyTopVer`.

#### toString

    public String toString()

Overrides:
  `toString` in class `ConcurrentHashMap<ClusterNode,GridDhtPartitionDemandMessage>`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018